> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# CRUD: Retrieve a payment transaction log

GET https://rest.test.zuora.com/v1/object/payment-transaction-log/{id}

Retrieves information about a specific payment transaction log.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/payments/payment-transaction-logs/object-get-payment-transaction-log

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `id` (string, required) — The ID of a payment transaction log.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `AVSResponseCode` (string, optional) — The response code returned by the payment gateway referring to the AVS international response of the payment transaction.
- `BatchId` (string, optional) — The ID of the batch used to send the transaction if the request was sent in a batch.
- `CVVResponseCode` (string, optional) — The response code returned by the payment gateway referring to the CVV international response of the payment transaction.
- `Gateway` (string, optional) — The name of the payment gateway used to transact the current payment transaction log.
- `GatewayReasonCode` (string, optional) — The code returned by the payment gateway for the payment. This code is gateway-dependent.
- `GatewayReasonCodeDescription` (string, optional) — The message returned by the payment gateway for the payment. This message is gateway-dependent.
- `GatewayState` (enum, optional) — The state of the transaction at the payment gateway.
  - Allowed values: `MarkedForSubmission`, `Submitted`, `Settled`, `NotSubmitted`, `FailedToSettle`
- `GatewayTransactionType` (enum, optional) — The type of the transaction, either making a payment, or canceling a payment.
  - Allowed values: `Authorization`, `Sale`, `Void`, `Inquiry`, `VoidAuth`
- `Id` (string, optional) — The ID of the payment transaction log.
- `PaymentId` (string, optional) — The ID of the payment wherein the payment transaction log was recorded.
- `RequestString` (string, optional) — The payment transaction request string sent to the payment gateway.
- `ResponseString` (string, optional) — The payment transaction response string returned by the payment gateway.
- `TransactionDate` (datetime, optional) — The transaction date when the payment was performed.
- `TransactionId` (string, optional) — The transaction ID returned by the payment gateway. This field is used to reconcile payment transactions between the payment gateway and records in Zuora.

## Errors

### 401 Unauthorized Error

Unauthorized

- `message` (string, optional) — Error message. If the error message is "Authentication error", ensure that the `Authorization` request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request.

### 404 Not Found Error

- `done` (boolean, optional)
- `records` (list of ProxyNoDataResponseRecordsItems, optional)
- `size` (integer, optional)

## Types

### ProxyNoDataResponseRecordsItems

## Examples

**Response**

```json
{
  "Gateway": "TEST gateway name1476935063101",
  "GatewayReasonCode": "approve",
  "GatewayReasonCodeDescription": "This transaction has been approved by Test gateway.",
  "GatewayState": "Submitted",
  "GatewayTransactionType": "Sale",
  "Id": "2c93808457d787030157e030b2703dcd",
  "PaymentId": "2c93808457d787030157e030b2673dcc",
  "TransactionDate": "2016-10-20T05:44:30.000+02:00",
  "TransactionId": "874200.071357285"
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/object/payment-transaction-log/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/object/payment-transaction-log/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/object/payment-transaction-log/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/object/payment-transaction-log/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/object/payment-transaction-log/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/object/payment-transaction-log/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/object/payment-transaction-log/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/object/payment-transaction-log/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```